c      initialization for weak-strong
c      long-range beam-beam simulation
       subroutine init 

       INCLUDE 'param.f'

       pi = 4.*datan(1.d0)

c      classical proton radius
       rp = 1.5d-18
 
c       C = 27000.
       vl = 3.d8   

       elcharge = 1.6d-19
       protonmass = 1.d9*elcharge/(vl*vl)

c      number of particles per bunch
c       dnb = 1.d11

c      bunch spacing in meter
c       spacing = 7.48

c      beta star and emittance
c       betastar = 0.5 
c       emitn = 3.75d-6
c       gamma = 7461.
       emit = emitn/gamma

c      beam-beam parameter
c       xi = 0.00342

c      beam size and divergence at IP 
c       sstar = 15.9d-6
c       divstar = 31.7d-6

c      parameter for SR beam-beam kick
       srparam = 2*rp*dnb/gamma

c      crossing angle
c       thetac = 300.d-6
c               300.d-6 

c      number of parasitic collision points
c      per side of IP
c       npar = 16
c       npar = 18
c       npar = 9

c      phase advance from IP1 to IP2       
c       qx1 = 31.655
c       qx2 = 31.655
c       qy1 = 29.66
c       qy2 = 29.66 

       phix1 = 2.*pi*qx1
       phiy1 = 2.*pi*qy1
       phix2 = 2.*pi*qx2
       phiy2 = 2.*pi*qy2 

c      tune modulation parameters
c       dpxm = 0.00 
c       dpym = 0.00
c       fx = 50.
c       fy = 50.

c      time conversion (seconds per turn)
       timeconv = C/vl

c      number of parasitic crossings per side
c       npar = 18 

c      average mean beta at triplet
c       betag = 1000.

c      triplet length
       tripl = 20.

c      image charge angle
       api = 0.030
       dldisti = 23.
c       dr12 = .009/(thetac/2)
c       dr12 = .025/(thetac/2)
       dr12 = .020/(thetac/2)
       thetaphi = api/dldisti
       thetaphi = api/dr12
       thetai = thetaphi*thetaphi/thetac*2.+thetac/2.

       if (iwire.eq.1) then
       dmu0 = 4.*pi*1.e-7
       dlwire=1.
       dib = 2.*rp*dnb*npar*2.*pi*3.356*.938
     &       /dmu0/dlwire
       write(*,*) ' wire current = ',dib ,' A' 
       coefwiret = dmu0*dib*dlwire/(2.*pi*3.356*gamma*.938)
       coefwire = (1.+wstrerr)*coefwiret
       comp = npar*srparam
       ratio = comp/coefwire 
       write(*,*) ' wire check : ',comp, coefwire, ratio
       write(*,*) ' strength error : ',wstrerr
       endif 

       return
       end 



     


           
